/*
	File:		BaseDialog.h

	Contains:	Base class declaration for a dialog.

	Version:	Appearance 1.0 SDK

	Copyright:	© 1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Edward Voas

		Other Contact:		7 of 9, Borg Collective

		Technology:			OS Technologies Group

	Writers:

		(edv)	Ed Voas

	Change History (most recent first):

		 <1>	 9/11/97	edv		First checked in.
*/

#pragma once

#include "BaseWindow.h"

class BaseDialog : public BaseWindow
{
	public:
			BaseDialog();
			BaseDialog( SInt16 resID );
		virtual ~BaseDialog();
		
		virtual void		Update( EventRecord& event );
		virtual void		Deactivate( EventRecord& event );
		virtual void		Activate( EventRecord& event );
		virtual void		HandleClick( EventRecord& event );
		virtual void		HandleKeyDown( EventRecord& event );
		
	protected:
		virtual void		HandleItemHit( SInt16 item );		
};